### Hierarchy

- SetVariableValueParameterType

## Index

### Properties

- callFrameId
- newValue
- scopeNumber
- variableName

## Properties

### callFrameId

callFrameId: CallFrameId

- Defined in node_modules/@types/node/inspector.d.ts:442

Id of callframe that holds variable.

### newValue

newValue: CallArgument

- Defined in node_modules/@types/node/inspector.d.ts:438

New variable value.

### scopeNumber

scopeNumber: number

- Defined in node_modules/@types/node/inspector.d.ts:430

0-based number of scope as was listed in scope chain. Only 'local', 'closure' and 'catch' scope types are allowed. Other scopes could be manipulated manually.

### variableName

variableName: string

- Defined in node_modules/@types/node/inspector.d.ts:434

Variable name.

Generated using TypeDoc